package lightJackson.data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonPropertyOrder("someName, persons, numbers")
public class ComplexJsonData implements Serializable {

	private static final long serialVersionUID = -8096567618683782284L;

	private List<Integer> numbers = new ArrayList<>();

	private List<Person> persons = new ArrayList<>();

	private String someName;

	public List<Integer> getNumbers() {
		return numbers;
	}

	public List<Person> getPersons() {
		return persons;
	}

	public String getSomeName() {
		return someName;
	}

	public void setNumbers(List<Integer> numbers) {
		this.numbers = numbers;
	}

	public void setPersons(List<Person> person) {
		this.persons = person;
	}

	public void setSomeName(String someName) {
		this.someName = someName;
	}

}
